Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA_2_3
Class ORB

    java.lang.Object
      |
      +--org.omg.CORBA.ORB
            |
            +--org.omg.CORBA_2_3.ORB

Direct Known Subclasses:
  ORBSingleton

public abstract class ORB
extends ORB

Constructor Summary
`ORB()`

Method Summary
`Object` | `get_value_def(java.lang.String repid)`
`ValueFactory` | `lookup_value_factory(java.lang.String id)`
`ValueFactory` | `register_value_factory(java.lang.String id, ValueFactory factory)`
`void` | `set_delegate(java.lang.Object wrapper)`
`void` | `unregister_value_factory(java.lang.String id)`

Methods inherited from class org.omg.CORBA.ORB
`connect, create_abstract_interface_tc, create_alias_tc, create_any, create_array_tc, create_context_list, create_enum_tc, create_environment, create_exception_list, create_exception_tc, create_fixed_tc, create_interface_tc, create_list, create_named_value, create_native_tc, create_operation_list, create_output_stream, create_policy, create_recursive_sequence_tc, create_recursive_tc, create_sequence_tc, create_string_tc, create_struct_tc, create_union_tc, create_value_box_tc, create_value_tc, create_wstring_tc, disconnect, get_current, get_default_context, get_next_response, get_primitive_tc, get_service_information, init, init, init, list_initial_services, object_to_string, perform_work, poll_next_response, resolve_initial_references, run, send_multiple_requests_deferred, send_multiple_requests_oneway, shutdown, string_to_object, work_pending`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ORB

    public ORB()

Method Detail

### get_value_def

    public Object get_value_def(java.lang.String repid)
                         throws BAD_PARAM

### register_value_factory

    public ValueFactory register_value_factory(java.lang.String id,
                                               ValueFactory factory)

### unregister_value_factory

    public void unregister_value_factory(java.lang.String id)

### lookup_value_factory

    public ValueFactory lookup_value_factory(java.lang.String id)

### set_delegate

    public void set_delegate(java.lang.Object wrapper)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD